/*
  Sensing/Signaling (Climate)

  LM35dz Temperature Sensor

  Sanjana Patel, Marta Zinicheva, Sibora Sokolaj

  
*/
#include <Stepper.h>
const int stepsPerRevolution = 200;  // change this to fit the number of steps per revolution
const int stepsPerRevolutionSTOP = 0;
Stepper myStepper1(stepsPerRevolution, 4, 5, 6, 7);

//these are for the tempSensor
const int tempSensor = A0; // Assigning analog pin A5 to variable 'tempSensor'

float tempC; //variable to store temperature in degree Celsius
float vOut; //temporary variable to hold sensor reading
float tempTotal;
float temp;

void setup() {
Serial.begin(9600); //  Initiate the Serial Monitor for recording values

  myStepper1.setSpeed(60);
  // initialize the serial port:
  Serial.begin(9600);

} 

void loop(){

tempTotal=0; // resets tempTotal

// this takes 100 samples
for(int count = 0; count < 100; count++) {
  vOut=analogRead(0);              //Connect LM35 to pin A0
  temp =(500 * vOut) / 1024;        // 5000mv / 10mv/degree Celcius = 500
  tempTotal = tempTotal + temp;    // this adds the 100 samples together
  }
          
  tempC = tempTotal / 100; // find the average temp from 100 samples


//This sends the following text to the Serial port "Temperature = (tempC variable)(degree)C

  Serial.print("Temperature = ");   //text in quottation marks appears in the serial port as written
  Serial.print("\t");               // This adds a tab
  Serial.print(tempC,1);            // The 1 limits the number of decimal places in your temperature read out
  Serial.write(0xC2);               // degree symbol
  Serial.write(0xB0);               // degree symbol
  Serial.print("C");   
  Serial.println();                 // adds a line break

  delay(2000);



  //tempC = tempC * 1024;
  //tempC = map (tempC, 0, 1024, 0, 255); // RGB brightness values range from 0 to 255
  //tempC = constrain (tempC, 0, 255);

// if temp above a certain threshold red
if ( tempC <= 20 )  {
   // step one revolution  in one direction:
//  Serial.println("clockwise");
//  myStepper.step(stepsPerRevolution);
//  delay(0);

  Serial.println("counterclockwise");
  myStepper1.step(stepsPerRevolution);
  delay(0);
  }
 else if ( temp >= 20 ) {
  Serial.println("stop");
  myStepper1.step(stepsPerRevolutionSTOP);
  delay(0);
 }
}
